Subject: [Tigers] Door lock quandary

From: JAMES ARMSTRONG via Tigers <[email-masked]>
Date: Mon, 22 Dec 2025 17:51:46 -0500

I’m trying to replace the door locks on my Sunbeam Tiger, and found that I don’t know what the part is that connects the key lock inner lobe to the door latching mechanism. There’s an arm that goes up and connects to the lobe, but there’s something that fixes the two together And since both are missing on my car, I have no idea what it is. Can anybody put me in the picture?
Happy holidays and thanks in advance,
Jim Armstrong B382002083
Sent from my iPhone
_______________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]